## SeahorseSet

SeahorseSet

## Synopsis

                        SeahorseSetPrivate;
                        SeahorseSet;
    SeahorseSet*        seahorse_set_new                    (GQuark ktype,
                                                             SeahorseUsage usage,
                                                             SeahorseLocation location,
                                                             guint flags,
                                                             guint nflags);
    SeahorseSet*        seahorse_set_new_full               (SeahorseObjectPredicate *pred);
    gboolean            seahorse_set_has_object             (SeahorseSet *skset,
                                                             SeahorseObject *sobj);
    GList*              seahorse_set_get_objects            (SeahorseSet *skset);
    guint               seahorse_set_get_count              (SeahorseSet *skset);
    void                seahorse_set_refresh                (SeahorseSet *skset);
    gpointer            seahorse_set_get_closure            (SeahorseSet *skset,
                                                             SeahorseObject *sobj);
    void                seahorse_set_set_closure            (SeahorseSet *skset,
                                                             SeahorseObject *sobj,
                                                             gpointer closure);

## Description

## Details

### SeahorseSetPrivate

    typedef struct _SeahorseSetPrivate SeahorseSetPrivate;

### SeahorseSet

    typedef struct {
        GtkObject parent;
    } SeahorseSet;

A subset list of the keys in the SeahorseContext.

- Used all over by various views to narrow in on the keys that they're interested in. - Originally was going to be called SeahorseView (database parlance) but that's far too confusing with overloaded terminology. - Uses a SeahorseObjectPredicate to match keys. - Sends out events when keys get added and removed from it's view. Or a key in the view changes etc... - Supports per key event 'closures'. When a closure is set for a key, it's then passed as an argument to the 'changed' and 'removed' events.

Signals: added: A key was added to this keyset. removed: A key disappeared from this keyset. changed: A key in the keyset changed. set-changed: The number of keys in the keyset changed

Properties: count: The number of keys predicate: (SeahorseObjectPredicate) The predicate used for matching.

GtkObject `parent`; | The parent GtkObject

### seahorse_set_new ()

    SeahorseSet*        seahorse_set_new                    (GQuark ktype,
                                                             SeahorseUsage usage,
                                                             SeahorseLocation location,
                                                             guint flags,
                                                             guint nflags);

`ktype` : |
`usage` : |
`location` : |
`flags` : |
`nflags` : |
Returns : |

### seahorse_set_new_full ()

    SeahorseSet*        seahorse_set_new_full               (SeahorseObjectPredicate *pred);

`pred` : |
Returns : |

### seahorse_set_has_object ()

    gboolean            seahorse_set_has_object             (SeahorseSet *skset,
                                                             SeahorseObject *sobj);

`skset` : |
`sobj` : |
Returns : |

### seahorse_set_get_objects ()

    GList*              seahorse_set_get_objects            (SeahorseSet *skset);

`skset` : |
Returns : |

### seahorse_set_get_count ()

    guint               seahorse_set_get_count              (SeahorseSet *skset);

`skset` : |
Returns : |

### seahorse_set_refresh ()

    void                seahorse_set_refresh                (SeahorseSet *skset);

`skset` : |

### seahorse_set_get_closure ()

    gpointer            seahorse_set_get_closure            (SeahorseSet *skset,
                                                             SeahorseObject *sobj);

`skset` : |
`sobj` : |
Returns : |

### seahorse_set_set_closure ()

    void                seahorse_set_set_closure            (SeahorseSet *skset,
                                                             SeahorseObject *sobj,
                                                             gpointer closure);

`skset` : |
`sobj` : |
`closure` : |